<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: franz.gamba    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Preparar recursos humanos y físicos::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{prepararRecursosHumanosyFisicos.actualizacion}" />


        <h:form prependId="true" id="asignarResponsableActualizacionForm">
            <h:panelGrid columns="2" cellspacing="3">
                <h:panelGrid columns="1" cellspacing="3">
                    <p:spacer height="10" width="0" />
                    <p:panel header="Registrar">
                        <p:spacer height="10" width="10" />
                        <p:commandButton id="btnAsignarResponsableActualizacion"
                                         widgetVar="asignarResponsableActualizacionWV"
                                         value="Asignar responsable de la Actualización" ajax="true"
                                         action="#{prepararRecursosHumanosyFisicos.inicializarAsignacionActualizacion}"
                                         update="asignarResponsableActualizacionForm, panelGridAsignarResponsableDeActualizacion, responsableActualizacion"
                                         process="@this">
                            <f:setPropertyActionListener
                                target="#{prepararRecursosHumanosyFisicos.asignarResponsableActualizacion}"
                                value="true" />
                        </p:commandButton>
                    </p:panel>
                    <p:spacer height="10" width="0" />
                    <p:commandButton id="btnCerrar" widgetVar="cerrarWV"
                                     icon="ui-icon ui-icon-close" value="Cerrar" ajax="true"
                                     action="#{prepararRecursosHumanosyFisicos.cerrar}" process="@this" />
                </h:panelGrid>
                <p:panel
                    rendered="#{prepararRecursosHumanosyFisicos.asignarResponsableActualizacion}">
                    <ui:include src="asignarResponsableDeActualizacion.xhtml">
                        <ui:param name="currentManagedBeanParam"
                                  value="#{prepararRecursosHumanosyFisicos}" />
                    </ui:include>
                </p:panel>
            </h:panelGrid>
        </h:form>
        <p:dialog height="350" width="480" resizable="false"
                  widgetVar="agregarFuncionariosWV" modal="true" appendToBody="true"
                  position="center" header="Agregar Funcionarios">
            <h:form id="agregarFuncionarioForm" prependId="false">
                <ui:include src="asignarFuncionariosDeTerritorial.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{prepararRecursosHumanosyFisicos}" />
                </ui:include>
            </h:form>
        </p:dialog>
    </ui:define>
</ui:composition>